Summary:       Enhanced implementation of the mailx command
Name:          mailx
Version:       12.5
Release:       6%{?dist}
License:       BSD with advertising and MPLv1.1
URL:           http://heirloom.sourceforge.net/mailx.html
# use get-upstream-tarball.sh to get the newest tarball
Source0:       mailx-%{version}.tar.xz
Source1:       get-upstream-tarball.sh
# CVE-2014-7844 CVE-2004-2771
Patch3000:     mailx-12.5-outof-Introduce-expandaddr-flag.patch
Patch3001:     mailx-12.5-fio.c-Unconditionally-require-wordexp-support.patch
Patch3002:     mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch
Patch3003:     mailx-12.5-unpack-Disable-option-processing-for-email-addresses.patch
Patch5000:     work-round-openssl-build-error.patch
BuildRequires: make, gcc, openssl-devel
Provides:      nail = %{version}, /bin/mail, /bin/mailx

%description
Mailx is an intelligent mail processing system, which has a command
syntax reminiscent of ed(1) with lines replaced by messages.  It is
based on Berkeley Mail 8.1, is intended to provide the functionality
of the POSIX mailx command, and offers extensions for MIME, IMAP, POP3,
SMTP, and S/MIME.  Mailx provides enhanced features for interactive use,
such as caching and  disconnected  operation  for  IMAP, message threading,
scoring, and filtering. It is also usable as a mail batch language, both
for sending and receiving mail.

%prep
%autosetup -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
    IPv6=-DHAVE_IPv6_FUNCS \
    SENDMAIL=%{_sbindir}/sendmail \
    MAILSPOOL=%{_localstatedir}/mail \
    MAILRC=%{_sysconfdir}/mail.rc \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}


%install
%make_install STRIP=: UCBINSTALL=install PREFIX=%{_prefix} MAILRC=%{_sysconfdir}/mail.rc

pushd %{buildroot}%{_bindir}
ln -s mailx Mail
ln -s mailx mail
ln -s mailx nail
popd

pushd %{buildroot}%{_mandir}/man1
ln -s mailx.1 Mail.1
ln -s mailx.1 mail.1
ln -s mailx.1 nail.1
popd

%files
%license COPYING
%doc AUTHORS README
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/mail.rc
%{_mandir}/man1/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.5-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 15 2022 cunshunxia <cunshunxia@tencent.com> - 12.5-1
- initial build
